WinCrypt.CRYPT_ATTRIBUTE (JNA API)

com.sun.jna.platform.win32

## Class WinCrypt.CRYPT_ATTRIBUTE

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinCrypt.CRYPT_ATTRIBUTE

- Direct Known Subclasses:
    WinCrypt.CRYPT_ATTRIBUTE.ByReference
  Enclosing interface:
    WinCrypt

      @Structure.FieldOrder(value={"pszObjId","cValue","rgValue"})
      public static class WinCrypt.CRYPT_ATTRIBUTE
      extends Structure

  The CRYPT_ATTRIBUTE structure specifies an attribute that has one or more values.
  See Also:
    MSDN

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `WinCrypt.CRYPT_ATTRIBUTE.ByReference`

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `cValue`
    `java.lang.String` | `pszObjId`
    `WinCrypt.DATA_BLOB.ByReference` | `rgValue`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CRYPT_ATTRIBUTE()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `WinCrypt.DATA_BLOB[]` | `getRgValue()`

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### pszObjId

          public java.lang.String pszObjId

    - #### cValue

          public int cValue

    - #### rgValue

          public WinCrypt.DATA_BLOB.ByReference rgValue

  - ### Constructor Detail

    - #### CRYPT_ATTRIBUTE

          public CRYPT_ATTRIBUTE()

  - ### Method Detail

    - #### getRgValue

          public WinCrypt.DATA_BLOB[] getRgValue()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.